Bug 205196 - printing to LJ6 cassette will output last page from manual tray
printing to LJ6 cassette will output last page from manual tray
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 09:12 EDT by Patrick C. F. Ernzer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 06:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tail -f /var/log/cups/* (77.81 KB, text/plain)
2006-09-05 09:14 EDT, Patrick C. F. Ernzer
no flags Details
/etc/cups/printers.conf (478 bytes, text/plain)
2006-09-05 09:15 EDT, Patrick C. F. Ernzer
no flags Details
/etc/cups/ppd/lj6-cassette.ppd (25.40 KB, text/plain)
2006-09-05 09:16 EDT, Patrick C. F. Ernzer
no flags Details
/etc/cups/ppd/lj6-recycle.ppd (25.40 KB, text/plain)
2006-09-05 09:16 EDT, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2006-09-05 09:12:51 EDT
Description of problem:
I have 2 print queues defined for a HP LaserJet 6P, one to print from the paper
cassette, another to print from the manual tray (where I keep old paper so that
I can print drafts on the back of unused printjobs)

Problem is that if there is paper available on the manual tray, printing to the
cassette queue will always result in all but the last page being printed from
cassetts and the last page being printed from the manual tray.

Version-Release number of selected component (if applicable):
cups-1.2.2-1.8

How reproducible:
always

Steps to Reproduce:
1. define 2 queues (configs will be attached)
2. print multi-page document to cassette queue
3. look at printout
  
Actual results:
last page from manual feed tray

Expected results:
all pages from cassette

Additional info:
Comment 1 Patrick C. F. Ernzer 2006-09-05 09:14:04 EDT
Created attachment 135550 [details]
tail -f /var/log/cups/*

tail -f /var/log/cups/* after setting LogLevel debug2
Comment 2 Patrick C. F. Ernzer 2006-09-05 09:15:55 EDT
Created attachment 135551 [details]
/etc/cups/printers.conf
Comment 3 Patrick C. F. Ernzer 2006-09-05 09:16:37 EDT
Created attachment 135552 [details]
/etc/cups/ppd/lj6-cassette.ppd
Comment 4 Patrick C. F. Ernzer 2006-09-05 09:16:59 EDT
Created attachment 135553 [details]
/etc/cups/ppd/lj6-recycle.ppd
Comment 5 Tim Waugh 2006-09-05 09:43:53 EDT
Please edit /etc/foomatic/filter.conf and add the line 'debug: 1'.  Then submit
the job again and attach /tmp/foomatic-rip.log and /tmp/foomatic-rip.ps here. 
Thanks!
Comment 8 Patrick C. F. Ernzer 2006-09-05 13:30:24 EDT
done
Comment 9 Tim Waugh 2006-09-07 06:57:05 EDT
From the log:

JCL: %-12345X@PJL
@PJL SET MANUALFEED=OFF
@PJL SET ECONOMODE=OFF
@PJL SET COPIES=1
@PJL SET RET=MEDIUM
@PJL SET DENSITY=5
@PJL SET MPTRAY=CASSETTE
<job data> 
%-12345X@PJL RESET

This all looks correct to me, and the PostScript doesn't have anything obvious
in it to change the MPTRAY setting.  I think it must be something weird the
printer's doing. :-/

Note You need to log in before you can comment on or make changes to this bug.